Bug 711 - Ping -c N doesn`t exit after sending N packets to noexistence host
: Ping -c N doesn`t exit after sending N packets to noexistence host
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iputils)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-14 16:57 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-14 16:57:24
При попытке пинга несуществующего хоста командой 
ping -c n xxx.xxx.xxx.xxx
не завершает свою работу, а ждет непонятно чего,
Control-C например.

---

---
 [<a href="mailto:user@user" target="_new">user@user</a> user]$ ping -c 3
192.168.100.250
PING 192.168.100.250 (192.168.100.250) from 192.168.1.4 : 56(84) bytes of data.
WARNING: kernel is not very fresh, upgrade is recommended.
From 192.168.1.4: icmp_seq=1 Destination Host Unreachable
From 192.168.1.4 icmp_seq=1 Destination Host Unreachable
From 192.168.1.4 icmp_seq=2 Destination Host Unreachable
From 192.168.1.4 icmp_seq=3 Destination Host Unreachable

Давим Control-C:
--- 192.168.1.250 ping statistics ---
3 packets transmitted, 0 received, +4 errors, 100% loss, time 1999ms
, pipe 3 
------- Comment #1 From 2002-10-16 20:32:11 -------
Fixed in iputils-20020927-alt1
------- Comment #2 From 2002-10-16 20:32:11 -------
Fixed in iputils-20020927-alt1